Skip to main content

Breeding Lot Information

The GetBreedingLotInfo endpoint returns breeding lot information in the MIMS system.


How to query a Breeding Lot​

HTTP POST Request

Request TypeExample URL
POST{{url_base}}/GetBreedingLotInfo
Examplehttp://seuIPePorta/datasnap/rest/RESTWebServiceMethods/"GetBreedingLotInfo"

Input Parameters​

ParameterTypeRequiredDescription
LotNoString(25)YesExternal code of the breeding lot
FarmNoString(25)YesExternal code of the property

Return​

ParameterTypeRequiredDescription
WebServiceReturnWebServiceReturnYesStandard WebService response information in method execution
BreedingLotInfoGetBreedingLotInfoReturnYesObject containing breeding lot information

📝 GetBreedingLotInfoReturn Object​

The GetBreedingLotInfoReturn object represents a list of breeding lot information

Return Parameters​

ParameterTypeRequiredDescription
BreedingLotCodeIntegerYesInternal code of the breeding lot
BreedingLotNoString(25)YesExternal code of the breeding lot
ComposedLotString(80)YesComposed lot
AnimalLineageNoString(25)YesExternal code of the animal lineage
FarmNoString(25)YesExternal code of the property
AnimalMaterialNoString(25)YesExternal code of the animal material
ShedNumberString(10)YesShed number
BoxNumberString(10)YesBox number (pen.)
InitialSealIntegerYesInitial seal
FinalSealIntegerYesFinal seal
CurrentSealBooleanYesCurrent seal
HousingDateDataHoraYesHousing date
DocumentNumberString(25)YesDocument number
FarmDeadAnimalsQtyIntegerYesQuantity of dead animals in the field
AnimalsFeedConversionIntegerYesFeed conversion
AnimalsDailyWgtGainIntegerYesDaily weight gain
HousedAnimalsQtyIntegerYesQuantity of housed animals
AnimalSexTypeAnimalSexTypeYesEnumerator with possible values for the animal sex type: astMixed (Mixed), astFemale (Female) or astMale (Male)
PostRemunarationDataBooleanYesFlag indicating if remuneration is posted
ActiveLotBooleanYesFlag indicating if the breeding lot is active
ShedListGetShedItemInfoListYesList of sheds linked to the breeding lot

📝 GetShedItemInfoList Object​

The GetShedItemInfoList object represents a List of sheds linked to the breeding lot

Return Parameters​

ParameterTypeRequiredDescription
ShedNameString(40)YesShed description
AnimalBornDateDataHoraYesAnimal birth date
AnimalSexTypeAnimalSexTypeYesEnumerator with possible values for the animal sex type: astMixed (Mixed), astFemale (Female) or astMale (Male)


Request Example​

curl --location 'http://seuIPePorta/datasnap/rest/RESTWebServiceMethods/"GetBreedingLotInfo"' \
--header 'Content-Type: application/json' \
--data '{
"LotNo": "18",
"FarmNo": "122907"
}'

Response Example​

{
"WebServiceReturn": {
"Status": "wrsSuccess",
"ErrorCode": "",
"Message": "",
"Actor": "",
"ReturnQuestion": null
},
"BreedingLotInfo": {
"BreedingLotCode": 269,
"BreedingLotNo": "18",
"ComposedLot": "122907-18",
"AnimalLineageNo": "1",
"AnimalSexType": "astMale",
"FarmNo": "122907",
"AnimalMaterialNo": "MAT125",
"ShedNumber": "",
"BoxNumber": "",
"ActiveLot": true,
"InitialSeal": 0,
"FinalSeal": 0,
"CurrentSeal": false,
"HousingDate": "2025-06-05",
"DocumentNumber": "",
"FarmDeadAnimalsQty": 0,
"AnimalsFeedConversion": 0,
"AnimalsDailyWgtGain": 0,
"HousedAnimalsQty": 0,
"PostRemunarationData": false,
"ShedList": [
{
"ShedName": "1",
"AnimalSexType": "astMale",
"AnimalBornDate": "2025-06-17"
}
]
}
}

🐞 Possible Errors​

CodeMessage
GBL‑001There is no breeding lot ([value sent in request]) registered for the informed property ([value sent in request])!
GBL‑002The informed Lot (LotNo) was not found!